import { Button } from "@mui/material";
import SearchD from "@/components/icons/SearchD";
import { useState } from "react";
import specialties from "@/data/specialties.json";

function SendReq({ filter, setFilter, setDataInURL, sendReq }) {
  const [loading, setLoading] = useState(false);
  const filterData = () => {
    if (!filter?.name?.trim()) {
      // اگر کاربر چیزی ننوشته، فقط کل لیست رو بگیر
      setDataInURL(filter);
      sendReq(filter);
      return;
    }

    setLoading(true);

    // ✅ 1. مقدار در URL ست بشه
    if (setDataInURL) {
      setDataInURL(filter);
    }

    // ✅ 2. درخواست به بک‌اند بره
    sendReq(filter)
      .catch((err) => console.error("❌ خطا در جستجو:", err))
      .finally(() => {
        setLoading(false); // ✅ 3. بعد از پاسخ، loading خاموش
      });
  };
  return (
    <Button
      disabled={loading}
      onClick={filterData}
      className="!flex !m-1 !rounded-[4px] !w-[36px] sm:!w-[42px] md:!w-[49px] lg:!w-[56px] !min-w-[36px] sm:!min-w-[42px] md:!min-w-[49px] lg:!min-w-[56px] !gap-2.5 !p-2.5 md:!p-4 !h-[calc(100%_-_8px)]"
    >
      <div className="w-[24px] h-[24px] min-w-[24px] min-h-[24px]">
        {!loading && <SearchD />}
      </div>
    </Button>
  );
}

export default SendReq;
